Debian Bug report logs - #351831
Missing reference to nl_langinfo(3)

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: joey@infodrom.north.de (Martin Schulze)

Date: Tue, 7 Feb 2006 20:18:08 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages-dev/2.17-1

Fixed in version manpages/2.23-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351831; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to joey@infodrom.north.de (Martin Schulze):
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: joey@finlandia.infodrom.north.de (Martin Schulze)
To: submit@bugs.debian.org
Subject: Missing reference to nl_langinfo(3)
Date: Tue, 7 Feb 2006 21:05:08 +0100 (CET)
Package: manpages-dev
Version: 2.17-1

It seems that neither localeconv(3) nor setlocale(3) contain a pointer
to nl_langinfo(3).  Such a thing would be overly helpful since for
developers it can be quite important to properly query the proper
locale settings.  Please add.

Regards,

	Joey

-- 
Of course, I didn't mean that, which is why I didn't say it.
What I meant to say, I said.              -- Thomas Bushnell

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351831; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 351831@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: joey@infodrom.north.de (Martin Schulze),351831@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#351831: Missing reference to nl_langinfo(3)
Date: Tue, 7 Feb 2006 21:58:59 +0100 (MET)
tags 351831 fixed-upstream
thanks

> It seems that neither localeconv(3) nor setlocale(3) contain a pointer
> to nl_langinfo(3).  Such a thing would be overly helpful since for
> developers it can be quite important to properly query the proper
> locale settings.  Please add.

Hi Joey,

I added SEE ALSO entries for nl_langinfo.3 to these pages.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351831; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 351831@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 351831@bugs.debian.org
Subject: Re: Bug#351831: Missing reference to nl_langinfo(3)
Date: Tue, 7 Feb 2006 22:22:32 +0100
Michael Kerrisk wrote:
> > It seems that neither localeconv(3) nor setlocale(3) contain a pointer
> > to nl_langinfo(3).  Such a thing would be overly helpful since for
> > developers it can be quite important to properly query the proper
> > locale settings.  Please add.
> 
> Hi Joey,
> 
> I added SEE ALSO entries for nl_langinfo.3 to these pages.

Very cool!  Faster before I could prepare a Debian update.

Regards,

	Joey

-- 
Of course, I didn't mean that, which is why I didn't say it.
What I meant to say, I said.              -- Thomas Bushnell

Please always Cc to me when replying to me on the lists.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to joey@infodrom.north.de (Martin Schulze):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 351831-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 351831-close@bugs.debian.org
Subject: Bug#351831: fixed in manpages 2.23-1
Date: Sun, 02 Apr 2006 08:32:19 -0700
Source: manpages
Source-Version: 2.23-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.23-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.23-1_all.deb
manpages_2.23-1.diff.gz
  to pool/main/m/manpages/manpages_2.23-1.diff.gz
manpages_2.23-1.dsc
  to pool/main/m/manpages/manpages_2.23-1.dsc
manpages_2.23-1_all.deb
  to pool/main/m/manpages/manpages_2.23-1_all.deb
manpages_2.23.orig.tar.gz
  to pool/main/m/manpages/manpages_2.23.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 351831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Apr 2006 16:47:36 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.23-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 342173 350884 351831 351831 351873
Changes: 
 manpages (2.23-1) unstable; urgency=low
 .
   * New upstream version
     . Improvements to msgop(2) (closes: Bug#350884)
     . Added SEE ALSO for pread(2) (closes: Bug#351873)
     . Added SEE ALSO refs for nl_langinfo.3 in localeconf(3) (closes: Bug#351831)
     . Added SEE ALSO refs for nl_langinfo.3 in setlocale(3) (closes: Bug#351831)
     . Add text describing characters 001 to 037 in ascii(7) (closes: 342173)
Files: 
 769b0117a1c373513913ea2c6579d753 586 doc - manpages_2.23-1.dsc
 34a99272acc469c3282e20d07af4869b 1104320 doc - manpages_2.23.orig.tar.gz
 8c098d9af211f02c4dfdb05b1492759e 54947 doc - manpages_2.23-1.diff.gz
 ed5d5a156c0e4b0ba4185740155e4161 424358 doc important manpages_2.23-1_all.deb
 1660a5b8d9f9e43dbdf3e9ce2c56390b 1136918 doc standard manpages-dev_2.23-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEL+yfW5ql+IAeqTIRAgdZAJ4kfOv+SLscoRa5Uwk9IPcH5WB0fQCfRrRt
fjMqmxmUt0WJGBaM5m8x+xE=
=jrh+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:47:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:14:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.